uses VenomGFX,FNFont3,Lacrt,Wokna32,Woknadef,Vaznik,TedRadky;
{$CALLING OLDFPCCALL}

Procedure ZapniGrafiku;
begin
Init_Graph(Find_Mode(800,600),LFB_ACCESS,BEST_FQ or 70);
FontAdr('.\fonty\');              {Adresar s fonty}
{FN_PCX_adresar:=EXEdir+'obrazky\';}
Init_Mouse(vga);
MouseShow;
end;


Procedure MyRunAkce(ja:pointer;var i:longint);
var o:Pokno_s_tlacitky;
    pr:PPrepinace;
begin
o:=ja;
if i=50 then
   begin
   pr:=o^.Retez^.Uzel_s_vyznamem(1)^.vazba;
   pr^.NastavStav(2);
   end;
end;


var p:virtualwindow;
    i,j:longint;
    s:string;
    r,t:pchar;
    ok:tokno_s_tlacitky;
    za:PZatrzitka;

    pr:PPrepinace;
    ko:PPosuvnyKontejner;
    tl:PTlacitko;

    te:PTextovePole;

    sez:PVaznik;
    leva,prava:PVaznik;
    dl,dp:longint;
    z:boolean;





begin
ZapniGrafiku;

Chdir('d:\tp\projekty\wokna32');

ok.Init(NA_STRED,NA_STRED,400,400,'Test',w_ok+#9+w_cancel);

FN_neproporcionalni:=true;

te:=New(PTextovePole,Init(ok.x+5,ok.y+30,380,'',true,2));
ok.Pridej(te);

ok.zobraz;
ok.run;
ok.done;

(*
vmro1:={1+2+4+8+16+32;}8;
vmro2:=8;
VyberMozneRozliseniObrazovky('Vyber rozliseni',200,20,vmro1,vmro2,vmode,vxr,vyr,vebpp);

OKokno('mod: '+mystr(vmode)+#13#10+
       'xr: '+mystr(vxr)+#13#10+
       'yr: '+mystr(vyr)+#13#10+
       'vebpp: '+mystr(vebpp));
*)

{okokno(mystr(byte(z)));}


{nactihlasky_ze_souboru('wokna32.cz');}

{Line(vga,400,0,400,599,64000);
Line(vga,0,300,799,300,64000);}
{VyberHiColorBarvuOkno('<Z_O_X=*-20;Z_O_Y=*-100>'+'Vyber HiColor barvu',15);}

{UlozSouborOkno('<Z_O_X=*-20;Z_O_Y=*-100>'+'jak_to_ulozit','barcode.bmp',350,false);}



Kill_Mouse;
Kill_Graph;

{
writeln(i);
writeln(j);
}
end.
